#pragma once

#include "CoreMinimal.h"
#include "SeancePerk.h"
#include "Templates/SubclassOf.h"
#include "S45P01.generated.h"

class UStatusEffect;

UCLASS(Blueprintable, Abstract, meta=(BlueprintSpawnableComponent))
class THES45_API US45P01 : public USeancePerk
{
	GENERATED_BODY()

protected:
	UPROPERTY(EditAnywhere)
	float _statusEffectDuration;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	TSubclassOf<UStatusEffect> _statusEffect;

public:
	US45P01();
};

FORCEINLINE uint32 GetTypeHash(const US45P01) { return 0; }
